Name:		kcirbshooter
Version:	0.04
Release:	2%{?dist}
Summary:	A small puzzle game

Group:		Amusements/Games
License:	GPLv2
URL:		http://kcirbshooter.spielen-unter-linux.de/
Source0:	http://kcirbshooter.spielen-unter-linux.de/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
# add rpm optflags to makefile
Patch0:		%{name}-optflags.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:	hicolor-icon-theme
BuildRequires:	SDL-devel SDL_mixer-devel SDL_image-devel desktop-file-utils

%description
kcirbshooter is a small puzzle game for linux, where you'll have
to clear the central area from differently colored bricks. Three or 
more touching/adjacent bricks of the same color will vanish. You can 
shoot bricks into the playing field from the fringes.


%prep
%setup -q
%patch0 -p0 -b .optflags

%build

make %{?_smp_mflags} OPTFLAGS="%optflags"


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/kcirbshooter
mkdir -p $RPM_BUILD_ROOT%{_datadir}/kcirbshooter/gfx
mkdir -p $RPM_BUILD_ROOT%{_datadir}/kcirbshooter/levels
mkdir -p $RPM_BUILD_ROOT%{_datadir}/kcirbshooter/snd

install -p -m 755 kcirbshooter $RPM_BUILD_ROOT%{_bindir}/kcirbshooter
install -p -m 644 gfx/* $RPM_BUILD_ROOT%{_datadir}/kcirbshooter/gfx/
install -p -m 644 levels/* $RPM_BUILD_ROOT%{_datadir}/kcirbshooter/levels/
install -p -m 644 snd/* $RPM_BUILD_ROOT%{_datadir}/kcirbshooter/snd/

# below the desktop file and icon stuff
desktop-file-install \
	--dir=$RPM_BUILD_ROOT%{_datadir}/applications	\
	%{SOURCE1}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps

install -p -m 0644 %{SOURCE2}				\
	$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/%{name}.png


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc README LICENSE.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png

%changelog
* Thu Oct 18 2008 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 0.04-2
- Add .optflags patch 
- Fixed description
- Some cosmetic corrections

* Thu Oct 18 2008 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 0.04-1
- Initial SPEC file
